export declare function isLocking(): boolean;
export declare function isConfigurableNameLocking(name: string): boolean;
export declare function configurableLock(name: string): Promise<UnlockFn>;
export declare function lock(name: string): Promise<UnlockFn>;
export declare function createFakeLock(): UnlockFn;
export declare function getGlobalLock(): LockFn | undefined;
export interface UnlockFn {
    (): Promise<void>;
}
export interface LockFn {
    (name: string): Promise<UnlockFn>;
}
